package com.tzy.common.utils.pay;

import java.util.LinkedHashMap;
import java.util.Map;

public class Servers {
    public static Map<String, Integer> WEIGHT_SERVERS = new LinkedHashMap<>();
    static {
        WEIGHT_SERVERS.put("alipay",1);
        WEIGHT_SERVERS.put("wxpay",2);
        WEIGHT_SERVERS.put("uac",3);
    }


    public static void main(String[] args){
        // 使用for循环模拟6次请求
        for (int i = 1; i <= 6; i++){
            System.out.println("第"+ i + "个请求：" + RoundRobinWeight.getServer());
        }
    }
}